/*
 *  ======== stdsorg/math/IGen.xdc ========
 */

/*! Abstract sequence generator */
interface IGen {
 
   /*! Largest possible number in a sequence */
   const Int16 MAXVALUE = (1U << 15) - 1;
 
instance:
 
   create();
 
    /*! Numbers between (0, `range`] */
    config Int16 range = MAXVALUE;
 
   /*! Generate the next number in this sequence */
   Int16 next();
 
   /*! Generate the next `count` numbers in this sequence
    *
    *  @param(buffer) output buffer
    *  @param(count) number of numbers
    */
    Void nextn(Int16 *buffer, Int count);
}
